### Method

# Gimp PlugIn add_temp_procedure

#### Declaration [src]

    void
    gimp_plug_in_add_temp_procedure (
      GimpPlugIn* plug_in,
      GimpProcedure* procedure
    )

#### Description [src]

This function adds a temporary procedure to `plug_in`. It is usually called from a `GIMP_PDB_PROC_TYPE_EXTENSION` procedure’s `Gimp.ProcedureClass.run`.

A temporary procedure is a procedure which is only available while one of your plug-in’s “real” procedures is running.

The procedure’s type must be `GIMP_PDB_PROC_TYPE_TEMPORARY` or the function will fail.

NOTE: Normally, plug-in communication is triggered by the plug-in and the GIMP core only responds to the plug-in’s requests. You must explicitly enable receiving of temporary procedure run requests using either `gimp_plug_in_extension_enable()` or `gimp_plug_in_extension_process()`. See their respective documentation for details.

Available since: | 3.0

#### Parameters

`procedure` | `GimpProcedure`
| A `GimpProcedure` of type `GIMP_PDB_PROC_TYPE_TEMPORARY`.
| The data is owned by the caller of the function.